[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# TSQLSequence.Apply

Apply a new value to a field

## Declaration

Source position: sqldb.pp line 459

`public procedure TSQLSequence.Apply;`

## Description

Apply applies the new value it gets for TSQLSequence.SequenceName using TSQLSequence.GetNextValue to the field TSQLSequence.FieldName of the dataset it is attached to.

## Errors

If the dataset is not attached to a connected database, an exception will be raised.

## See also

TSQLSequence.GetNextValue |  | Get a next value for the sequence
TSQLSequence.FieldName |  | Field to apply sequence to
TSQLSequence.SequenceName |  | Sequence name to get values from
TSQLSequence.IncrementBy |  | Value to increment sequence with